import {
  get,
  post
} from '@/common/utils/http-util.ts'

export default {
  paging(data: StationTypes.SearchStationParam) {
    return get<G.PageResult<StationTypes.SearchStationResult>>('/station/paging', data)
  },
  detail(id: string) {
    return get<StationTypes.SearchStationResult>('/station/detail', {id})
  },
  add(data: StationTypes.AddStationParam) {
    return post('/station/add', data)
  },
  modify(data: StationTypes.ModifyStationParam) {
    return post('/station/modify', data)
  },
  del(ids: string[]) {
    return post('/station/del', ids)
  },
}
